Qt 5.9 | Qt 3D | C++ Classes | QText2DEntity

Qt 5.9.9 Reference Documentation

# QText2DEntity Class

(Qt3DExtras::QText2DEntity)

Inherits: | Qt3DCore::QEntity

- List of all members, including inherited members

## Properties

- color : QColor
- font : QFont
- height : float

- text : QString
- width : float

- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QText2DEntity(Qt3DCore::QNode *parent = nullptr)
| ~QText2DEntity()
QColor | color() const
QFont | font() const
float | height() const
void | setColor(const QColor &color)
void | setFont(const QFont &font)
void | setHeight(float height)
void | setText(const QString &text)
void | setWidth(float width)
QString | text() const
float | width() const

- 4 public functions inherited from Qt3DCore::QEntity
- 11 public functions inherited from Qt3DCore::QNode

## Signals

void | colorChanged(const QColor &color)
void | fontChanged(const QFont &font)
void | heightChanged(float height)
void | textChanged(const QString &text)
void | widthChanged(float width)

- 4 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 3 public slots inherited from Qt3DCore::QNode
- 2 protected functions inherited from Qt3DCore::QNode

## Property Documentation

### color : QColor

Access functions:

QColor | color() const
void | setColor(const QColor &color)

Notifier signal:

void | colorChanged(const QColor &color)

### font : QFont

Access functions:

QFont | font() const
void | setFont(const QFont &font)

Notifier signal:

void | fontChanged(const QFont &font)

### height : float

Access functions:

float | height() const
void | setHeight(float height)

Notifier signal:

void | heightChanged(float height)

### text : QString

Access functions:

QString | text() const
void | setText(const QString &text)

Notifier signal:

void | textChanged(const QString &text)

### width : float

Access functions:

float | width() const
void | setWidth(float width)

Notifier signal:

void | widthChanged(float width)

## Member Function Documentation

### QText2DEntity::QText2DEntity(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QText2DEntity.

### QText2DEntity::~QText2DEntity()

Destroys the instance of QText2DEntity.